/**
 * Proxy `target` and trap it by `proxyHandler`
 * This delegateProxy support `Object.freeze`d `target.
 * That means that return proxy dummy object and delegate trap to `target`.
 *
 * Limitation: this proxy object is not recoverable.
 * @param target proxy target
 * @param proxyHandler proxy handler
 */
export declare function delegateProxy<T extends Function>(target: T, proxyHandler: ProxyHandler<T>): T;
